numeric File Reference

Go to the source code of this file.

## Namespaces

namespace | __gnu_cxx

## Functions

template<typename _Tp, typename _Integer>
_Tp | __gnu_cxx::__power (_Tp __x, _Integer __n)
template<typename _Tp, typename _Integer, typename _MonoidOperation>
_Tp | __gnu_cxx::__power (_Tp __x, _Integer __n, _MonoidOperation __monoid_op)
template<typename _ForwardIterator, typename _Tp>
constexpr void | __gnu_cxx::iota (_ForwardIterator __first, _ForwardIterator __last, _Tp __value)
template<typename _Tp, typename _Integer>
_Tp | __gnu_cxx::power (_Tp __x, _Integer __n)
template<typename _Tp, typename _Integer, typename _MonoidOperation>
_Tp | __gnu_cxx::power (_Tp __x, _Integer __n, _MonoidOperation __monoid_op)

## Detailed Description

This file is a GNU extension to the Standard C++ Library (possibly containing extensions from the HP/SGI STL subset).

Definition in file ext/numeric.